summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2006-03-25 16:43:09 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2006-03-25 16:43:09 +0000
commitcf4289452d405eccdb2b3ccea87c07ff936daddb (patch)
tree37b7b1c09eff2a1298a8f879652a0ddbf97585aa /eclass
parentmakemake2 support for improved engimail support (diff)
downloadgentoo-2-cf4289452d405eccdb2b3ccea87c07ff936daddb.tar.gz
gentoo-2-cf4289452d405eccdb2b3ccea87c07ff936daddb.tar.bz2
gentoo-2-cf4289452d405eccdb2b3ccea87c07ff936daddb.zip
We need to inherit eutils before linux-info so that set_arch_to_kernel and set_arch_to_portage functions from linux-info are used instead of the ones in eutils. Fixes bug #127506.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-pkg.eclass34
-rw-r--r--eclass/linux-mod.eclass8
2 files changed, 38 insertions, 4 deletions
diff --git a/eclass/java-pkg.eclass b/eclass/java-pkg.eclass
index 0f13ae1e9ec0..10fb61fe4d75 100644
--- a/eclass/java-pkg.eclass
+++ b/eclass/java-pkg.eclass
@@ -1,6 +1,8 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg.eclass,v 1.32 2005/12/06 20:10:50 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg.eclass,v 1.33 2006/03/25 16:43:09 betelgeuse Exp $
+
+#echo "sourcing java-pkg"
pkglistpath="${T}/java-pkg-list"
@@ -353,8 +355,9 @@ java-pkg_dosrc() {
local files
local startdir=$(pwd)
for x in ${@}; do
+ echo $x
cd $(dirname ${x})
- zip -q -r ${T}/${PN}-src.zip $(basename ${x}) -i '*.java'
+ zip -qq -r ${T}/${PN}-src.zip $(basename ${x}) -i '*.java'
local res=$?
if [[ ${res} != 12 && ${res} != 0 ]]; then
die "zip failed"
@@ -367,3 +370,30 @@ java-pkg_dosrc() {
install ${INSOPTIONS} "${T}/${PN}-src.zip" "${D}${target}" \
|| die "failed to install sources"
}
+
+_copy() {
+ local dest=${2}
+ local toinstall=${1}
+
+ if [[ -d "${toinstall}" ]]; then
+ pushd "${toinstall}" > /dev/null
+ _copy
+ popd > /dev/null
+ else
+ cp "${toinstall}" "${D}${destroot}" || die ${error}
+ fi
+}
+
+java-pkg_doexamples() {
+ debug-print-function ${FUNCNAME} $*
+ [[ $# -lt 1 ]] && die "${FUNCNAME}: at least one argument needed"
+
+ local destroot="/usr/share/doc/${PF}/examples"
+ dodir ${destroot}
+
+ local error="${FUNCNAME}: Failed to install examples"
+
+ for toinstall in "${@}"; do
+ echo ${toinstall}
+ done
+}
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 36337086d156..12c5fc8f636f 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.60 2006/03/03 21:04:58 johnm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.61 2006/03/25 16:43:09 betelgeuse Exp $
# Description: This eclass is used to interface with linux-info in such a way
# to provide the functionality required and initial functions
@@ -78,8 +78,12 @@
# the full path to any associated
# documents for $modulename
+# The order of these is important as both of linux-info and eutils contain
+# set_arch_to_kernel and set_arch_to_portage functions and the ones in eutils
+# are deprecated in favor of the ones in linux-info.
+# See http://bugs.gentoo.org/show_bug.cgi?id=127506
-inherit linux-info eutils
+inherit eutils linux-info
EXPORT_FUNCTIONS pkg_setup pkg_postinst src_install src_compile pkg_postrm
IUSE="" # don't put pcmcia here, rather in the ebuilds that actually support pcmcia